Ryzom - Feature # 1359

Status: Closed Priority: Normal
Author: GelluleX Category: NeL: General
Created: 09/18/2011 Assignee: sfb

Updated: 05/11/2012 Due date:

Subiject: Implement a simple text copy/paste for within Ryzom, for the mac version.
Description

This is not yet implemented, but the stubs are already in the code. The idea is to just have the copy/paste string kept in a temporary

member of the CCocoaEventEmitter class.

History

#1 - 09/19/2011 09:18 am - GelluleX

- File patch2.diff added

Actually version 2 of the patch is a bit better. It uses NSPasteboard to also be able to copy/paste in and out of Ryzom.
Try it with TextEdit, it worked for me.

Cheers,

#2 - 12/07/2011 03:56 am - sfb
- Category set to NeL: General

- Status changed from New to Assigned

- Assignee set to sfb

- Target version set to Version 0.9.0

GelluleX,

Thank you for the patch submission. Anything | should know before | commit it?

#3 - 12/07/2011 08:04 am - GelluleX

Nothing special. | have found any issue with it. Tested it on the live Ryzom server without issue.

Cheers,

#4 - 12/07/2011 02:54 pm - sfb

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:1e8ea8f00153.

#5 - 05/11/2012 04:30 pm - sfb

- Status changed from Resolved to Closed
Files

patch.diff 1.5 kB 09/18/2011 GelluleX
patch2.diff 1.4 kB 09/19/2011 GelluleX
